%define major      0
%define libname    %mklibname %{name} %{major}
%define develname  %mklibname -d %name
%define oldmajor   1
%define oldlibname %mklibname %{name} %{oldmajor}

Name:           kmyfirewall
Version:        1.1.1
Release:        %mkrel 1
License:        GPLv2+
Summary:        IPTables-based firewall configuration tool for the KDE
Group:          System/Configuration/Networking
URL:            http://kmyfirewall.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/sourceforge/kmyfirewall/%{name}-%{version}.tar.bz2
Source1:        %{name}-icons.tar.bz2
Patch1:		kmyfirewall-1.0.1-distro.patch
Requires:       %{libname} = %{version}-%{release}
Requires:       iptables
BuildRequires:  kdelibs-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KMyFirewall attempts to make it easier to setup IPTables based firewalls
on Linux systems.  It will be the right tool if you like to have a so
called "Personal Firewall" running on your Linux box, but don't have the
time and/or the interest to spend hours in front of the IPTables manual
just to setup a Firewall that keeps the "bad" people out.

There is also the possibility to save entire rule sets, so you only have
to configure your rule set one time and then you can use it on several
computers giving each of them a similar configuration (p.e. school
networks, office, university etc.). For a complete list of the features
have a look at the Features section

Programs can't do any magic so you still will have to know what your
firewall should do to setup your rule set. KMyFirewall just tries to
help you as much as possible, but you decide what it will do.

%package -n %{develname}
Summary:        Development libraries for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:	%name-devel = %version-%release
Obsoletes:	%mklibname -d kmyfirewall 0

%description -n %{develname}
Development libraries for %{name}.

%package -n %{libname}
Summary:        Header files for kmyfirewall
Group:          Graphical desktop/KDE
Conflicts:      %{oldlibname} <= 0.9.6.2-2mdk

%description -n %{libname}
Libraries for %{name}.

%prep
%setup -q -n %{name}-%{version}
%setup -q -n %{name}-%{version} -T -D -a1
%patch1 -p0

%build
%configure2_5x --with-xinerama --disable-rpath
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%{__perl} -pi -e 's/\015$//' %buildroot/%{_includedir}/kmyfirewall/kmfwidgets/kmfobjectinfo.cpp

%{__install} -m644 %{name}48.png -D %{buildroot}%{_liconsdir}/%{name}.png
%{__install} -m644 %{name}32.png -D %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m644 %{name}16.png -D %{buildroot}%{_miconsdir}/%{name}.png

%{__rm} -r %{buildroot}%{_datadir}/doc/HTML

%post
%{update_menus}

%postun
%{clean_menus}

%clean
%{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/kmyfirewall

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_libdir}/kde3/*
%{_datadir}/applications/kde/kmyfirewall.desktop
%{_datadir}/apps/kmfgenericinterfacepart
%{_datadir}/apps/kmfipteditorpart
%{_datadir}/apps/kmfsystray
%{_datadir}/config.kcfg/kmfconfig.kcfg
%{_datadir}/config/kmyfirewallrc
%{_datadir}/icons/Locolor/*/apps/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/apps/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 1.1.1-1mdv2008.1
+ Revision: 160988
- New version 1.1.1

* Tue Jan 22 2008 Funda Wang <fundawang@mandriva.org> 1.1.0-1mdv2008.1
+ Revision: 156384
- fix file list
- New version 1.1.0

* Sun Jan 06 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-2mdv2008.1
+ Revision: 145968
- add patch for dir of iptable
- fix desktop file
- drop old menu
- clean up the file list
- add back *.la files

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.1-1mdv2008.1
+ Revision: 140863
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Apr 04 2007 David Walluck <walluck@mandriva.org> 1.0.1-1mdv2007.1
+ Revision: 150644
- 1.0.1
- Import kmyfirewall

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 1.0-2mdk
- fix x86_64 build

* Sun Dec 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-1mdk
- New release 1.0

* Sat Oct 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.beta1.3mdk
- Fix BuildRequires
- %%mkrel

* Wed Jun 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.beta1.2mdk
- fix devel section
- Fix rpmlint error ( rpath, wrong encoding )

* Wed Jun 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.beta1.1mdk
- 1.0 Beta1
- Fix source0 url
- Fix file section

* Sat May 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.6.2-6mdk
- Fix on x86_64

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-5mdk
- Fix update from 10.1

* Fri Mar 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-4mdk
- Fix MDK bug #14504

* Fri Feb 04 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.6.2-3mdk
- fixed summary-ended-with-dot and requires-on-release
- removed P0
- fixed provides
- removed la files
- major 0
- add xinerama support

* Wed Aug 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.6.2-2mdk
- fix the use of summary macro in menu item
- cleanups

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-2mdk
- Rebuild

* Sat May 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-1mdk
- 0.9.6.2

